<?php

return array
(
    # 表名
    'name' => 'info',
    # 显示给用户看的名称
    'lang' => '活动列表',
    # 后台菜单排序
    'order' => 2,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '活动名称',
            'default'   => '',
            'desc'      => '活动名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'num'      => array
        (
            'type'      => 'int-11',
            'name'      => '限购数量-单位：张',
            'default'   => '',
            'desc'      => '限购数量',
            'match'     => 'is_string',
            // 'update'    => 'text',
            'search'    => 'fulltext',
            // 'list'      => true,
        ),

        'price'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '票价-单位：元',
            'default'   => '0',
            'desc'      => '票价-单位：元',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => true,
        ),

        'banner'       => array
        (
            'type'      => 'text-255',
            'name'      => '顶部banner',
            'default'   => '',
            'desc'      => '顶部banner',
            'match'     => 'is_string',
            'update'    => 'images',
            'key'       => '1',
            // 'place'     => '759*562',
        ),

        'pic'       => array
        (
            'type'      => 'text-255',
            'name'      => '购买成功后的背景图',
            'default'   => '',
            'desc'      => '购买成功后的背景图',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
            // 'place'     => '759*562',
        ),

        'mobile'      => array
        (
            'type'      => 'bigint-11',
            'name'      => '客服电话',
            'default'   => '',
            'desc'      => '请输入客服电话',
            'match'     => 'option',
            'update'    => 'text',
            //'search'    => 'fulltext',
            'list'      => true,
        ),

        'desc'      => array
        (
            'type'      => 'text-1000',
            'name'      => '活动说明',
            'default'   => '',
            'desc'      => '活动说明',
            'match'     => 'is_string',
            'update'    => 'editor',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-数值越大越靠前',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'  => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'alter' => array
    (
        2 => array
        (
            array('update', 'desc', 'desc', 'text-1000  活动说明'),
        ),
        3 => array
        (
            array('update', 'mobile', 'mobile', 'varchar-100  客服电话'),
        ),
        'version' => 3,
    ),

    'manage' => array
    (
    	//'insert' => false,
        'delete' => false,
        // 'edit' => false,
        
    ),

    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                // 'id' => array('yes','>'),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'asc'),
            'col' => '*',
        ),
    ),
);
